Retrieve an opportunity
curl --request GET \
--url https://api.gospott.com/opportunities/{id} \
--header 'x-api-key: <api-key>'import requests
url = "https://api.gospott.com/opportunities/{id}"
headers = {"x-api-key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'x-api-key': '<api-key>'}};
fetch('https://api.gospott.com/opportunities/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "<string>",
"name": {
"viewType": "opportunityName",
"name": "<string>"
},
"description": {
"viewType": "opportunityDescription",
"description": "<string>"
},
"stage": {
"viewType": "opportunityStage",
"stage": {
"id": "<string>",
"name": "<string>",
"order": 123,
"isOpen": true
}
},
"company": {
"viewType": "opportunityCompany",
"company": {
"id": "<string>",
"name": "<string>"
}
},
"owner": {
"viewType": "opportunityOwner",
"owner": {
"id": "<string>",
"name": "<string>",
"avatarUrl": "<string>",
"deactivatedAt": "2023-11-07T05:31:56Z"
}
},
"closeDate": {
"viewType": "opportunityCloseDate",
"closeDate": {
"target": "2023-11-07T05:31:56Z"
}
},
"createdAt": {
"viewType": "opportunityCreatedAt",
"createdAt": "2023-11-07T05:31:56Z"
},
"clientTeam": {
"viewType": "opportunityClientTeam",
"clientTeam": [
{
"id": "<string>",
"firstName": "<string>",
"lastName": "<string>",
"middleName": "<string>",
"secondLastName": "<string>",
"avatarUrl": "<string>",
"candidateId": "<string>",
"companyId": "<string>",
"companyName": "<string>",
"companyLogoUrl": "<string>",
"jobTitle": "<string>",
"department": "<string>",
"emails": [
{
"email": "jsmith@example.com",
"isPrimary": true
}
],
"phoneNumbers": [
{
"phoneNumber": "<string>",
"isPrimary": true
}
]
}
]
},
"nextTaskDue": {
"viewType": "opportunityNextTaskDue",
"nextTaskDue": {
"id": "<string>",
"content": "<string>",
"dueDate": "2023-11-07T05:31:56Z"
}
},
"locations": {
"viewType": "opportunityLocations",
"locations": [
{
"street1": "<string>",
"street2": "<string>",
"postalCode": "<string>",
"city": "<string>",
"region": "<string>",
"state": "<string>",
"country": "<string>",
"rawCityCountry": "<string>",
"latitude": 123,
"longitude": 123,
"formattedAddress": "<string>"
}
]
},
"customAttributes": [
{
"attributeDefinitionId": "<string>",
"label": "<string>",
"aiFillOngoing": true,
"aiOverridden": true,
"isFilledByAI": true,
"value": {
"viewType": "customText",
"text": "<string>"
}
}
]
}{
"status": 0,
"message": "<string>",
"requestId": "<string>",
"errors": [
{
"code": "REQUIRED",
"path": "<string>",
"message": "<string>",
"received": "<unknown>"
}
]
}{
"status": 0,
"message": "<string>",
"requestId": "<string>"
}{
"status": 0,
"message": "Opportunity not found",
"requestId": "<string>",
"statusCode": 404,
"error": "Not Found"
}{
"status": 0,
"message": "<string>",
"requestId": "<string>"
}Opportunities
Retrieve an opportunity
Retrieves the opportunity with the specified ID. Includes all custom attributes.
GET
/
opportunities
/
{id}
Retrieve an opportunity
Authorizations
API key for authentication. Get your API key from Settings → API Keys in your Spott dashboard.
Path Parameters
Response
Successfully retrieved opportunity details
Minimum string length:
1Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
⌘I

